For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet transactions
      • POSTCreate a transaction
      • POSTCreate multiple transactions
      • GETGet a transaction
      • DELDelete a transaction
      • PATCHUpdate a transaction
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementTransactions

Delete a transaction

DELETE
/transactions/:transaction_id
DELETE
/v1/transactions/:transaction_id
$curl -X DELETE https://api.sandbox.monite.com/v1/transactions/transaction_id \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Update a transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transaction_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

400
Delete Transactions ID Request Bad Request Error
401
Delete Transactions ID Request Unauthorized Error
403
Delete Transactions ID Request Forbidden Error
404
Delete Transactions ID Request Not Found Error
422
Delete Transactions ID Request Unprocessable Entity Error
500
Delete Transactions ID Request Internal Server Error